Bug 208622 - Build takes a long time: unnecessarily building on all arches
Build takes a long time: unnecessarily building on all arches
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 14:32 EDT by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: eclipse-cdt-3.1.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 18:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2006-09-29 14:32:12 EDT
Description of problem:
The CDT build takes too long.  It appears that it is building for every
architecture on every architecture.  This should be changed to just build for
the architecture on which one is building.  At the very least, this "build for
everyone" or "build for my arch" should be togglable with a flag.

Yes, this is an upstream bug but from what I know, the CDT team is not
interested in release engineering-type tasks.  It would be a good thing for us
to do.
Comment 1 Jeff Johnston 2006-10-23 18:13:21 EDT
A patch has been applied by Ben Konrath to spec file.  Fixed as of
eclipse-cdt-3.1.1-3.fc7

Note You need to log in before you can comment on or make changes to this bug.